<script>
  // let wsUrl = `ws${location.protocol.slice(4)}//${location.host}/api`

  // let webSocket = new WebSocket(wsUrl)
  // webSocket.onmessage = (event) => {
  //   let data = JSON.parse(event.data)
  //   if (data.command === 'setCount') {
  //     count = data.value
  //   }
  // }
  // let count = '?'
  // function increment() {
  //   count += 1
  //   webSocket.send(JSON.stringify({command: 'incrCount'}))
  // }

  // increment = 'dffdsds'


  let count = ['a', 'b', 'c'];
  function increment() {
    count.push('?');
    count = count;
  }

</script>

<button on:click={increment}>
  count is {count.join(' + ')}
</button>
